- Qt 5.15
- Qt Core
- C++ Classes
- QXmlStreamEntityResolver
- Qt 5.15.18 Reference Documentation

# QXmlStreamEntityResolver Class

The QXmlStreamEntityResolver class provides an entity resolver for a QXmlStreamReader. More...

Header: | #include <QXmlStreamEntityResolver>
qmake: | QT += core
Since: | Qt 4.4

This class was introduced in Qt 4.4.

- List of all members, including inherited members

Note: All functions in this class are reentrant.

## Public Functions

virtual | ~QXmlStreamEntityResolver()
virtual QString | resolveUndeclaredEntity(const QString &name)

## Detailed Description

## Member Function Documentation

### `[virtual]` QXmlStreamEntityResolver::~QXmlStreamEntityResolver()

Destroys the entity resolver.

### `[virtual]` QString QXmlStreamEntityResolver::resolveUndeclaredEntity(const QString &name)

Resolves the undeclared entity name and returns its replacement text. If the entity is also unknown to the entity resolver, it returns an empty string.

The default implementation always returns an empty string.